=== debian/changelog ===
snek (1.4.1-6) unstable; urgency=medium

  * Add gcc as autopkgtest dependency

 -- Keith Packard <keithp@keithp.com>  Sat, 23 May 2020 19:41:39 -0700

snek (1.4.1-5) unstable; urgency=medium

  * Require fewer dependencies for -arch packages
  * Don't test risc-v binaries as QEMU doesn't support that yet

 -- Keith Packard <keithp@keithp.com>  Sat, 23 May 2020 09:13:34 -0700

snek (1.4.1-4) unstable; urgency=medium

  * Add dependency from snek-bin to snek to get desktop icon
  * Add -fdebug-prefix-map to builds

 -- Keith Packard <keithp@keithp.com>  Fri, 22 May 2020 16:40:31 -0700

snek (1.4.1-3) unstable; urgency=medium

  * Move qemu-system-arm to Build-Depends-Indep

 -- Keith Packard <keithp@keithp.com>  Fri, 22 May 2020 15:12:38 -0700

snek (1.4.1-2) unstable; urgency=medium

  * Split out Build-Depends-Indep so -arch builds don't pull in toolchains

 -- Keith Packard <keithp@keithp.com>  Fri, 22 May 2020 14:44:14 -0700

snek (1.4.1-1) unstable; urgency=medium

  * Bug fix for string compare on aarch64
  * Fix snek-duemilanove-install man page bug
  * Fail dictionary creation with mutable key

 -- Keith Packard <keithp@keithp.com>  Fri, 22 May 2020 12:42:12 -0700
