=== debian/control ===
Source: snek
Section: interpreters
Priority: optional
Maintainer: Keith Packard <keithp@keithp.com>
Homepage: https://keithp.com
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13), libreadline-dev, python3, lola, gawk
Build-Depends-Indep: avr-libc, gcc-avr,
 binutils-arm-none-eabi, gcc-arm-none-eabi, picolibc-arm-none-eabi (>= 1.4), qemu-system-arm,
 binutils-riscv64-unknown-elf, gcc-riscv64-unknown-elf, picolibc-riscv64-unknown-elf (>= 1.4),
 gcc-arm-linux-gnueabi, libc6-dev-armel-cross,
 asciidoctor, ruby-asciidoctor-pdf, ruby-coderay,
 black
Standards-Version: 4.5.0

Package: snek
Architecture: all
Suggests: snek-bin
Depends: ${misc:Depends}, python3, python3-serial, usbutils
Description: Embedded system programming language
 Snek is a small python-like language designed for embedded
 computers. It can run on systems as small as an Arduino Duemilanove
 board, which is an ATmega 328 processor with 32kB of flash and 2kB of
 ram. This package includes binaries and installation tools for many
 targets along with the snekde integrated development environment.

Package: snek-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, snek
Description: Host binary version of Snek programming language
 Snek is a small python-like language designed for embedded
 computers. It can run on systems as small as an Arduino Duemilanove
 board, which is an ATmega 328 processor with 32kB of flash and 2kB of
 ram. This package provides a host snek binary for playing with the
 language on your host machine.
