## snek 1.5

=== Makefile ===
--- 
+++ 
@@ -17,12 +17,9 @@
 
 include snek-install.defs
 
-SNEK_OTHEROS?=0
-ifeq ($(SNEK_OTHEROS),1)
 SNEK_OTHEROS_DIR=$(SNEK_HOSTS)/linux $(SNEK_HOSTS)/windows $(SNEK_HOSTS)/macosx $(SNEK_HOSTS)/zip
-endif
 
-SUBDIRS = snekde doc examples $(SNEK_OTHEROS_DIR)
+SUBDIRS = snekde doc examples
 
 SNEKS = $(SNEK_PORTS)/posix/snek $(FIRMWARE)
 
@@ -36,18 +33,22 @@
 
 check: all
 	+cd test && make $@
+
+black:
 	+black --check --exclude 'fail-syntax-.*\.py|.*/hosts/.*.py' .
 
-install:
+install: all
 	+for dir in $(SUBDIRS); do (cd $$dir && make PREFIX=$(PREFIX) DESTDIR=$(DESTDIR) $@) || exit 1; done
 	+for snek in $(SNEKS); do (cd `dirname $$snek` && make PREFIX=$(PREFIX) DESTDIR=$(DESTDIR) $@) || exit 1; done
 
-upload: $(SNEKS)
+upload: otheros
 	+cd doc && make upload
 	+for otheros in $(SNEK_OTHEROS_DIR); do (cd "$$otheros" && make upload); done
 
-otheros: $(SNEKS)
-	+cd doc && make
+install-otheros: otheros install
+	+for otheros in $(SNEK_OTHEROS_DIR); do (cd "$$otheros" && make install-otheros); done
+
+otheros: all
 	+for otheros in $(SNEK_OTHEROS_DIR); do (cd "$$otheros" && make); done
 
 snek-mu.py:
