=== ports/duemilanove/Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 
 SNEK_LOCAL_SRC = \
 	snek-pow.c \
-	snek-duemilanove.c \
+	snek-328p.c \
 	$(SNEK_ATMEGA_SRC)
 
 SNEK_LOCAL_INC = \
@@ -29,7 +29,7 @@
 
 SNEK_LOCAL_BUILTINS = \
 	$(SNEK_ATMEGA_BUILTINS) \
-	snek-duemilanove.builtin
+	snek-328p.builtin
 
 include $(SNEK_ROOT)/snek-install.defs
 
@@ -47,7 +47,8 @@
 LDFLAGS=$(SNEK_LDFLAGS) \
 	-Wl,-uvfprintf -lprintf_flt -lm \
 	-Wl,--defsym -Wl,__TEXT_REGION_LENGTH__=0x7e00 \
-	-Wl,--defsym -Wl,__DATA_REGION_LENGTH__=0x7a0 \
+	-Wl,--defsym -Wl,__DATA_REGION_ORIGIN__=0x800100 \
+	-Wl,--defsym -Wl,__DATA_REGION_LENGTH__=0x780 \
 	-Wl,--defsym -Wl,__EEPROM_REGION_LENGTH__=0x400 \
 	-Wl,-Map=$(MAP)
 
@@ -97,7 +98,7 @@
 	avrdude -F -V -c $(ISP) -p ATMEGA328P -U efuse:w:0xfd:m
 
 load: $(HEX) snek-duemilanove-install
-	./snek-duemilanove-install -isp $(ISP) -hex $(HEX) load
+	./snek-duemilanove-install -hex $(HEX)
 
 install: snek-duemilanove-install $(HEX) snek-duemilanove-install.1
 	install -d $(DESTDIR)$(BINDIR)
