=== debian/changelog ===
snek (1.5-1) unstable; urgency=medium

  * New upstream release.
  * Arduino Uno port
  * Handle 'chained' comparison operators (e.g. a > b > c)
  * Stop using black during build. Closes: #971143.

 -- Keith Packard <keithp@keithp.com>  Tue, 06 Oct 2020 16:17:33 -0700
