=== debian/control ===
--- 
+++ 
@@ -2,16 +2,17 @@
 Section: interpreters
 Priority: optional
 Maintainer: Keith Packard <keithp@keithp.com>
-Homepage: https://keithp.com
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13), libreadline-dev, python3, lola, gawk
 Build-Depends-Indep: avr-libc, gcc-avr,
  binutils-arm-none-eabi, gcc-arm-none-eabi, picolibc-arm-none-eabi (>= 1.4), qemu-system-arm,
  binutils-riscv64-unknown-elf, gcc-riscv64-unknown-elf, picolibc-riscv64-unknown-elf (>= 1.4),
  gcc-arm-linux-gnueabi, libc6-dev-armel-cross,
- asciidoctor, ruby-asciidoctor-pdf, ruby-coderay,
- black
+ asciidoctor, ruby-asciidoctor-pdf, ruby-coderay
 Standards-Version: 4.5.0
+HomePage: https://sneklang.org
+Vcs-Git: git://sneklang.org/git/snek.git
+Vcs-Browser: https://sneklang.org/cgit/snek.git
 
 Package: snek
 Architecture: all
