=== debian/tests/control ===
Test-Command: make SNEK_NATIVE=/usr/bin/snek SNEK_ARM=/usr/share/snek/snek-arm -C test check
Depends: @, qemu-system-arm, gcc
